createSquareMatrix {SLGI} | R Documentation

## Create a square matrix

### Description

Create a square matrix based on row and column names. The new matrix is created so that the row and column names are a perfect match and the added values are zero.

In the case of genetic interactions, for example it could be useful that the matrix of all the interactions tested and not tested.

### Usage

    createSquareMatrix(data)

### Arguments

`data` | Matrix

### Value

matrix.

### Author(s)

N. LeMeur

### Examples

      data(Atong)
      dim(Atong)

      Tong<- createSquareMatrix(Atong)
      dim(Tong)

[Package SLGI version 1.4.0 Index]